# begin

## Syntax:
`begin ... end`
## Examples:
`if Flag`  
`begin`  
`  add 1 to Counter`  
`  set Repeat`  
`end`
## Description:
`begin` introduces a compound statement; a block of commands that start with `begin` and finish with `end`. The entire block is treated as a single statement and `end` marks the end of the compound statement block.

Next: [clear](clear.md)  
Prev: [assert](assert.md)

[Back](../../README.md)
